Bug 107002 - EDITING: Selecting multiple slide transitions in a row will rendered all transitions sequentially
Summary: EDITING: Selecting multiple slide transitions in a row will rendered all tran...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha1+
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Slide-Transitions
  Show dependency treegraph
 
Reported: 2017-04-06 17:56 UTC by Telesto
Modified: 2018-06-03 02:41 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screencast (2.56 MB, video/x-msvideo)
2017-04-23 15:31 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-04-06 17:56:38 UTC
Description:
An active slide transition isn't aborted, when selecting a new one. All the selected items get queued and rendered sequentially



Steps to Reproduce:
1. Open Impress
2. Select a template
3. Select Slide Transition in the sidebar
4. Click multiple different slide transitions in a row (8 or so) 

Actual Results:  
An active slide transition isn't aborted, but will run to the end. LibO will be quite unresponsive (and CPU hogging: 25% of 1 core; with or without OpenGL)

Expected Results:
Abort the active transition and run the newly selected one. 


Reproducible: Always

User Profile Reset: No

Additional Info:
Found in
Version: 5.4.0.0.alpha0+
CPU threads: 4; OS: Windows 6.19; UI render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-04-05_23:32:27
Locale: nl-NL (nl_NL); Calc: CL

and (more or less) in
Version: 5.3.0.0.alpha1
Build ID: f4ca1573fcf445164c068c1046ab5d084e1b005f
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; 
Locale: nl-NL (nl_NL); Calc: CL

but not in
Version: 5.2.5.0.0+
Build ID: a4d4fbeb623013f6377b30711ceedb38ea4b49f8
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:libreoffice-5-2, Time: 2016-12-24_14:43:55
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Buovjaga 2017-04-23 15:20:30 UTC
Not reproduced. The newly clicked transition aborts the previous one.

Version: 5.4.0.0.alpha0+ (x64)
Build ID: 193f8966135064a32164c9da08d01dab9c1fc15d
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-03-25_02:08:45
Locale: fi-FI (fi_FI); Calc: group

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: d69e6321fbb2c9f5b4d30890074a230ee6b39d2d
CPU threads: 8; OS: Linux 4.10; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on April 17th 2016
Comment 2 Yousuf Philips (jay) (retired) 2017-04-23 15:28:15 UTC
Unable to repo on Ubuntu Mate 16.04.

Version: 5.4.0.0.alpha0+
Build ID: 44b14e8c7c485d8a3bb99d9484ac63273988b633
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-04-17_03:32:22
Locale: en-US (en_US.UTF-8); Calc: group
Comment 3 Yousuf Philips (jay) (retired) 2017-04-23 15:30:30 UTC
@Telesto: Would be useful if you gave us graphics card info.

https://wiki.documentfoundation.org/OpenGL#Windows
Comment 4 Telesto 2017-04-23 15:31:43 UTC
Created attachment 132769 [details]
Screencast

Version: 5.4.0.0.alpha0+
Build ID: 4354f0e9ef4a5538729a2a6f2d1745e247f6c5cd
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-04-21_06:05:57
Locale: nl-NL (nl_NL); Calc: CL
Comment 5 Buovjaga 2017-04-23 15:44:19 UTC
(In reply to Yousuf Philips (jay) from comment #3)
> @Telesto: Would be useful if you gave us graphics card info.
> 
> https://wiki.documentfoundation.org/OpenGL#Windows

Telesto sees the problem with non-OGL as well, though.
Comment 6 Yousuf Philips (jay) (retired) 2017-04-23 16:01:09 UTC
Yes i can repo this on Windows, possibly on Linux as well. I will double check as i didnt fully read the 'Actual Results' part. :D

Version: 5.4.0.0.alpha0+
Build ID: 2f5baab8498ce1303dded8aa7e16adbf80341c39
CPU threads: 4; OS: Windows 6.29; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-04-17_23:43:54
Locale: en-US (en_US); Calc: CL

(In reply to Buovjaga from comment #5)
> Telesto sees the problem with non-OGL as well, though.

All slide transitions use OpenGL, this is different from OpenGL for rendering the UI.
Comment 7 Yousuf Philips (jay) (retired) 2017-04-23 16:08:45 UTC
Okay confirming that there was no repo on linux from my side.
Comment 8 QA Administrators 2018-06-03 02:41:29 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug